<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>Item Catalog</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="/static/main.css" />
    <!--LOAD PRE-REQUISITES FOR GOOGLE SIGN IN -->
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js">
    </script>
    <script src="//apis.google.com/js/platform.js?onload=start"> </script>
</head>

<script>
    function signInCallback(authResult) {
        if (authResult["code"]) {
            // Hide the sign-in button now that the user is authorized
            $("#signinButton").attr("style", "display: none");
            // Send the one-time-use code to the server, if the server responds, write a 'login successful' message to the web page and then redirect back to the main restaurants page
            $("#result").html(
                "Authenticating..."
            );

            $.ajax({
                type: "POST",
                url: "/gconnect?state={{state}}",
                processData: false,
                data: authResult["code"],
                contentType: "application/octet-stream; charset=utf-8",
                success: function (result) {
                    // Handle or verify the server response if necessary.
                    if (result) {
                        $("#result").html(
                            "Login Successful!</br>" + result + "</br>Redirecting..."
                        );
                        setTimeout(function () {
                            window.location.href = "/";
                        }, 2000);
                    } else if (authResult["error"]) {
                        console.log("There was an error: " + authResult["error"]);
                    } else {
                        $("#result").html(
                            "Failed to make a server-side call. Check your configuration and console."
                        );
                    }
                }
            });
        }
    }

</script>

<body>
    <header>
        <div id="header-title">
            <a href="{{homepage_url}}">Catalog App</a>
        </div>
        {% if not logged_in %}
        <div class="button-wrapper">
            <a href="{{login_url}}">
                <input type="button" value="Login" />
            </a>
        </div>
        {% else %}
        <div class="button-wrapper">
            <a href="{{logout_url}}">
                <input type="button" value="Logout" />
            </a>
        </div>
        {% endif %}
    </header>
    <div class="menu">
        <h2>Login</h2>
        <!-- GOOGLE PLUS SIGN IN BUTTON-->
        <div id="signinButton">
            <span class="g-signin" data-scope="openid email" data-clientid="540713731078-gsmc5hu9oh3k5j0do800f7s2f7mirve4.apps.googleusercontent.com"
                data-redirecturi="postmessage" data-accesstype="offline" data-cookiepolicy="single_host_origin"
                data-callback="signInCallback" data-approvalprompt="force">
            </span>
        </div>
        <div id='result'></div>
    </div>
    <footer>
        {% if logged_in %}
        <img class="avatar" src="{{user['picture']}}">
        <p>You are logged in as {{user['name']}}</p>
        {% endif %}
    </footer>
</body>

</html>